.mdi-end {
  display: inline-flex !important;
  align-items: center;
}
.mdi-end::before {
  order: 2;
  margin-left: 0.25rem;
}

a.mdi::before {
  margin-right: 0.25rem;
  position: relative;
  font-size: 120%;
}

.mdi-align {
  --base-btn-padding-x: 0.65rem;
  --base-btn-padding-y: 1rem;
  line-height: 100%;
  display: inline-flex;
  align-items: center;
  padding: var(--base-btn-padding-y) var(--base-btn-padding-x);
}
.mdi-align::before {
  margin-right: 0.25rem;
}
.mdi-align.btn-sm::before {
  margin-right: 0.125rem;
}
.mdi-align.btn-lg::before {
  margin-right: 0.5rem;
}

.file {
  background-image: none;
  padding-left: 0;
}
.file a {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
}
.file a::before {
  font-family: "Material Design Icons", fantasy;
  margin-right: 0.25rem;
  color: var(--file-icon-color, #1e4e66);
  font-size: calc(1.2625rem + 0.15vw);
}
@media (min-width: 1200px) {
  .file a::before {
    font-size: 1.375rem;
  }
}

.file--mime-application-pdf a::before {
  content: "\F0226";
}

.file--mime-application-vnd-ms-excel a::before {
  content: "\F102D";
}

.file--mime-application-vnd-openxmlformats-officedocument-wordprocessingml-document a::before,
.file--mime-application-msword a::before {
  content: "\F103E";
}

.file--mime-application-vnd-openxmlformats-officedocument-presentationml-presentation a::before,
.file--mime-application-vnd-ms-powerpoint a::before {
  content: "\F1035";
}

.file--mime-application-zip a::before {
  content: "\F07B9";
}
